# Move2Docker
[![Build Status](https://drone.chrz.de/api/badges/chonal/move2docker/status.svg)](https://drone.chrz.de/chonal/move2docker)

MOVE-II decoder docker container for all the architectures your heart desires - x86_64, armv7l, ...

Based on https://github.com/MOVE-II/move2radio.

This container uses no blobs to build, however some proprietary code is needed. The distributed docker images only contain binary assets, this is achieved using docker multi-stage builds. The proprietary code is currently hosted at the LRZ GitLab by the MOVE-II team, and an older private mirror exists at the CHRZ Git server. It is forbidden to redistribute the proprietary code without permission, however binary assets compiled from it may be redistributed.

## Usage
Use the scripts from the `scripts` directory to control the docker containers. Each script takes a parameter to configure the mode, either `gui` or `cli`.

## Configuration
Configure the proprietary code server using the file `config/config.sh` (see or copy `config/config.sh.example*`), and place or link your private key for the server access (`id_rsa`) there as well. Note that this key should not be protected with a password.